package com.sillycycle.bagleyd.ant3d;

/* Code here is mostly due to Alex Shvets */
/* http://home.comcast.net/~shvets/Programs/Examples/GameLife/life2.html */

// Ant3DSelection.java

import java.io.IOException;
import java.awt.datatransfer.Transferable;
import java.awt.datatransfer.DataFlavor;
import java.awt.datatransfer.UnsupportedFlavorException;

public class Ant3DSelection implements Transferable {

	public static final DataFlavor lifeFlavor =
		new DataFlavor(Ant3DMatrix.class, "Life matrix");

	private final Ant3DMatrix data;

	public Ant3DSelection(Ant3DMatrix data) {
		this.data = data;
	}

	// implements Transferable

	// supported flavors
	@Override
	public synchronized DataFlavor[] getTransferDataFlavors() {
		return new DataFlavor[]{ lifeFlavor };
	}

	@Override
	public boolean isDataFlavorSupported(DataFlavor flavor) {
		return flavor.isMimeTypeEqual(Ant3DSelection.lifeFlavor);
	}

	@Override
	public synchronized Object getTransferData(DataFlavor flavor)
			throws UnsupportedFlavorException, IOException {
		if (flavor.isMimeTypeEqual(Ant3DSelection.lifeFlavor))
			return data;
		throw new UnsupportedFlavorException(flavor);
	}
}
