package com.sillycycle.bagleyd.util;

/*
 * @(#)Turmite3D.java
 *
 * Copyright 2010 - 2014  David A. Bagley, bagleyd AT verizon.net
 *
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted,
 * provided that the above copyright notice appear in all copies and
 * that both that copyright notice and this permission notice appear in
 * supporting documentation, and that the name of the author not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.
 *
 * This program is distributed in the hope that it will be "useful",
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

/**
 * The <code>Cell</code> class handles the construction of the cells.
 *
 * @author	David A. Bagley
 * @author	bagleyd AT verizon.net
 * @author	https://www.sillycycle.com/life.html
 */

public class Turmite3D {
	private int col, row, stack;
	private short direction, gravity;
	private byte state;

	public Turmite3D(int col, int row, int stack,
			short direction, short gravity, byte state) {
		this.col = col;
		this.row = row;
		this.stack = stack;
		this.direction = direction;
		this.gravity = gravity;
		this.state = state;
	}

	public int getColumn() {
		return this.col;
	}

	public int getRow() {
		return this.row;
	}

	public int getStack() {
		return this.stack;
	}

	public void setPosition(int col, int row, int stack) {
		this.col = col;
		this.row = row;
		this.stack = stack;
	}

	public short getDirection() {
		return this.direction;
	}

	public void setDirection(short direction) {
		this.direction = direction;
	}

	public short getGravity() {
		return this.gravity;
	}

	public void setGravity(short gravity) {
		this.gravity = gravity;
	}

	public byte getState() {
		return this.state;
	}

	public void setState(byte state) {
		this.state = state;
	}
}
